Skip to main content
GET
/
api
/
admin
/
mcpserver
/
{id}
Get MCP server by ID
curl --request GET \
  --url https://pria.praxislxp.com/api/admin/mcpserver/{id} \
  --header 'x-access-token: <api-key>'
import requests

url = "https://pria.praxislxp.com/api/admin/mcpserver/{id}"

headers = {"x-access-token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};

fetch('https://pria.praxislxp.com/api/admin/mcpserver/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "_id": "<string>",
    "name": "<string>",
    "institution": "<string>",
    "user": "<string>",
    "server_type": "url",
    "server_url": "<string>",
    "require_approval": {
      "enabled": false,
      "skip_approval_tools": [
        "<string>"
      ]
    },
    "authorization_header": "<string>",
    "tool_configuration": {
      "enabled": true,
      "allowed_tools": [
        "<string>"
      ]
    },
    "description": "<string>",
    "created": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-access-token
string
header
required

JWT token passed in x-access-token header

Path Parameters

id
string
required

MCP Server ID

Response

MCP server retrieved successfully

success
boolean
data
object